Subject: bug#15286: Add the current directory as GUILE_LOAD_PATH by default

From: Arne Babenhauserheide <[email-masked]>
Date: Sat, 14 Sep 2013 01:05:42 +0200

Am Freitag, 6. September 2013, 14:10:27 schrieb Ludovic Courtès:
> Arne Babenhauserheide <[email-masked]> skribis:
> 
> > Currently to install a local package definition, I have to adjust the GUILE_LOAD_PATH by hand:
> >
> >       GUILE_LOAD_PATH=. guix package -e '(@ (mercurial) hg)'
> >
> > This could be much clearer if the $pwd were in the load path automatically.
> 
> As usual, it is a bad idea to include ‘.’ in the search path, because it
> makes it easy to unwillingly execute untrusted code.

I now learned, that with guile I can use 

    guile -L .

which actually does what I need.

Providing this in guix would be consistent with guile and it would make it really easy to select overlays.

Best wishes,
Arne
-- 
1w6 sie zu achten,
sie alle zu finden,
in Spiele zu leiten
und sacht zu verbinden.
→ http://1w6.org